Fixing gd Problem in PHP on Ubuntu 11.04

I was trying to enable gd for php in Ubuntu 11.04. As usual it should be typing in terminal: $ sudo apt-get install php5-gd Unfortunately it does not worked and gd was not enabled Typing the command php -a I was getting: PHP Startup: Unable to load dynamic library ‘/usr/lib/php5/20090626+lfs/’ - /usr/lib/php5/20090626+lfs/ undefined symbol: gdImageCreateFromJpeg in Unknown on line 0 By googling I got this bug report and a solution along.

Resource Loader for PHP Web Applications

I wrote a resource loader class for PHP web applications. The class will help to manage loading of JavaScripts and CSSs we include within our web pages. Usually these JavaScripts and CSSs have dependencies with other scripts and or CSSs. For example, we have to load jQuery script file before any script that utilise jQuery functionalities within the code. And we have to ensure that we are including the scripts in the correct order.